karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré (Jira) <j...@apache.org>
Subject [jira] [Commented] (KARAF-6580) Provide Spring Security 5.2.x feature
Date Fri, 10 Jan 2020 06:36:00 GMT

    [ https://issues.apache.org/jira/browse/KARAF-6580?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=17012497#comment-17012497
] 

Jean-Baptiste Onofré commented on KARAF-6580:
---------------------------------------------

A fix is required on the Spring Security Config bundle:
{code:java}
Unable to resolve root: missing requirement [root] osgi.identity; osgi.identity=spring-security;
type=karaf.feature; version=5.2.1.RELEASE_1; filter:="(&(osgi.identity=spring-security)(type=karaf.feature)(version>=5.2.1.RELEASE_1))"
[caused by: Unable to resolve spring-security/5.2.1.RELEASE_1: missing requirement [spring-security/5.2.1.RELEASE_1]
osgi.identity; osgi.identity=org.apache.servicemix.bundles.spring-security-config; type=osgi.bundle;
version="[5.2.1.RELEASE_1,5.2.1.RELEASE_1]"; resolution:=mandatory [caused by: Unable to resolve
org.apache.servicemix.bundles.spring-security-config/5.2.1.RELEASE_1: missing requirement
[org.apache.servicemix.bundles.spring-security-config/5.2.1.RELEASE_1] osgi.wiring.package;
filter:="(osgi.wiring.package=io.rsocket.plugins)"]] {code}

> Provide Spring Security 5.2.x feature
> -------------------------------------
>
>                 Key: KARAF-6580
>                 URL: https://issues.apache.org/jira/browse/KARAF-6580
>             Project: Karaf
>          Issue Type: Improvement
>          Components: karaf
>            Reporter: Jean-Baptiste Onofré
>            Assignee: Jean-Baptiste Onofré
>            Priority: Major
>             Fix For: 4.3.0, 4.2.9
>
>




--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message